\documentclass[12pt]{article}
\usepackage[margin=1in]{geometry} 
\usepackage{amsmath,amsthm,amssymb,amsfonts}
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{float}
 
\newcommand{\N}{\mathbb{N}}
\newcommand{\Z}{\mathbb{Z}}
 
%\newenvironment{problem}[2][Problem]{\begin{trivlist}
%\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
%If you want to title your bold things something different just make another thing exactly like this but replace "problem" with the name of the thing you want, like theorem or lemma or whatever
 
\begin{document}
 
%\renewcommand{\qedsymbol}{\filledbox}
%Good resources for looking up how to do stuff:
%Binary operators: http://www.access2science.com/latex/Binary.html
%General help: http://en.wikibooks.org/wiki/LaTeX/Mathematics
%Or just google stuff
 
\title{Simusat Quick Start Tutorial}
\author{Angel Ruy-Diaz Rojas}
\maketitle

\addcontentsline{toc}{section} {Index}
\tableofcontents
\newpage

%\listoffigures
%\newpage

\section{Introduction}
In the following tutorial it will be shown how to create a simple satellite, define the orbit it will follow and how to obtain different data from the software.

\section{Creating a satellite}
Once the software is run, the first step is creating the satellite. To do this, we will use the section \textit{Satellite Design}, at the left of the main page. The 8 icons inside it make reference to different properties or data that can define the satellite:

%\begin{figure}[h]
%	\centering
%	\includegraphics[width=0.3\textwidth]{SatelliteDesign}
%	\caption{Satellite Design section in main page}
% 	\label{sat-des}
%\end{figure}  

 

\begin{itemize}
\item Left column: geometric and attitude data
\item Right column: thermal and energy subsystems data
\end{itemize}

\subsection{Start defining our satellite}

\begin{itemize}
\item Click on \textit{Mass, Geometry} or use the shortcut \textit{Ctrl+A}.
\item Fill in the \textit{Central Body} section with the geometrical data of your satellite. For the tutorial, take the data from the table (leave the rest to 0).
\end{itemize}

\begin{center}
\begin{tabular}{c|c}
\centering
    \textbf{Property} & \textbf{Value} \\
    Mass & 30 \\
    Width & 1 \\
    Height & 1 \\
    Ixx & 5 \\
    Iyy & 5 \\
    Izz & 5 \\
\end{tabular}
\end{center}



%\begin{figure}[h]
%	\centering
%	\includegraphics[width=0.8\textwidth]{mass_geometry}
%	\caption{Mass, Geometry tab}
%	\label{mass-geo}
%\end{figure}

\subsection{Create the solar panels}
For this example, we will create Type 2 panels. To create one follow the steps:

\begin{itemize}
\item Select the type 2 in the figure on the left that shows the different types or panels.
\item Select the mount face +X.
\item Define the dimensions and mass of the panel. The dimensions will be those of the central body and the mass, 2kg.
\item The number of strings is only used for the energy subsystem, we will forget about it for the moment.
\item Click on \textit{Add}.
\end{itemize}

Once you have done it, you should have something like the figure \ref{sol-pan}.

\begin{figure}[h]
	\centering
	\includegraphics[width=0.8\textwidth]{Solar_panel}
	\caption{Solar panel created}
 	\label{sol-pan}
\end{figure}

Repeat the process to create panels on the faces +X, -X, +Y and -Y. If anything went wrong, think about modifying or removing a panel:
\begin{itemize}
\item To modify a panel, select it on the list, change the parameters desired and click on \textit{Modify}.
\item To remove a panel, select it on the list and click on \textit{Remove}.
\end{itemize}

\subsection{Create a gravity gradient boom}
With the idea of stabilizing the satellite, we add a gravity gradient boom in the face +Z (	it will be the face pointing Nadir) with a mass of 2 kg at a distance of 3 meters.

Once you have arrived to this point, you can take from the \textit{Synthesis} section the matrix of inertia of the ensemble as well as the total mass and the center of gravity.

Click on \textit{Close} and save the satellite by clicking on the save button of the section \textit{Satellite Design}.

\textbf{Note:} Further data could be added on the other tabs of the window, but will skip them in this tutorial.

\textbf{Note:} Thermal and energy subsystem wont be used in this tutorial so no configuration is needed. If we would like to do it, we only need to navigate through the icons of the second column in the section \textit{Satellite Deisgn}.

\section{Creating the orbit}
\begin{itemize}
\item In the main window click on \textit{Orbit data}, in the \textit{Mission Design} section

We want the satellite to follow the ISS orbit. We can:

\item Write by hand the orbital parameters.
\item Look for the ISS in the list proposed after clicking on \textit{Load a NORAD TLE set}


We will use the second option. Choose International Space Station as type of satellite and look for ISS (Zarya) in the list of satellites. The window should look like the figure \ref{iss-orbit}

\begin{figure}[h]
	\centering
	\includegraphics[width=0.9\textwidth]{iss-orbit}
	\caption{ISS orbit}
 	\label{iss-orbit}
\end{figure}

\item Modify the attitude of the satellite in the orbit by making the axis +Z the primary axis pointing to Nadir
\item Give  name to the orbit and click on export to save the mission (orbit + attitude + environment) 
\end{itemize}

\section{Simulation and output data}
Depending on what we want, we will display the simulation or we will open the report and the curves sections. In this tutorial we will only make use of the attitude analysis windows. The thermal and energy ones work the same way.

\subsection{Simulation}
To display the satellite moving in the orbit (in any of the views proposed in the \textit{Display} section of the Main window):

\begin{itemize}
\item In the Main window, choose the start date and the time step you desire.
\item Click on the \textit{Run} button. 
\item Click on the view you want to see. A window with the images will pop up.
\end{itemize}

\subsection{Output data (Attitude analysis)}
We can obtain data from the simulation in different formats: 

\begin{itemize}
\item CSV file.
\item Excel file. 
\item Graphics.
\end{itemize}

For the first two option, you will have to click on \textit{Report} inside \textit{Attitude Analysis}. For the third one click on \textit{Curves}.

In any of the cases, inside the window that has just opened, choose a begin date, and end date and a time step.

If you opened the Report window:
\begin{itemize}
\item Click on report
\item Select the type of file you want to export 
\item Click on Save
\end{itemize}

If you opened the Curves window:
\begin{itemize}
\item Select the torque and its axis. 
\item Click on Add.
\item Repeat with all the parameters you want to plot.
\item Click on draw.

\textbf{Note:} If you check the box near to the list, the corresponding parameter will be plotted using the secondary axis. This is useful for plotting parameters whose values have different scales.

\item Click on save if you want to save the image.
\end{itemize}

\subsection{Check the results}

To check that everything went well do the following analysis to compare the curves:

\begin{itemize}
\item Click on \textit{Curves} inside \textit{Attitude Analysis}
\item Select the following dates:
 \begin{center}
	\begin{tabular}{c|c}
	\centering
    Begin date & 22/08/2019 00:00:00 \\
    End date & 22/08/2019 02:00:00 \\
    Time step & 60 s \\
	\end{tabular}
 \end{center}
\item In \textit{Parameters} choose toque: total and axis:Total
\end{itemize}

If everything is okey, the plot should look like like the following:

\begin{figure}[h]
	\centering
	\includegraphics[width=0.8\textwidth]{torque-plot-wd}
	\caption{Curves: Attitude control example}
 	\label{torque-wd}
\end{figure}


\section{A little thermal analysis}

As an illustrative example of the thermal analysis, follow the steps, starting from the Main window:

\begin{itemize}
\item Inside the section \textit{Satellite Design}, click on \textit{Thermical data} (in the right column).
\item Fill in the data like in the figure \ref{therm-dat}

\begin{figure}[h]
	\centering
	\includegraphics[width=0.9\textwidth]{thermal-data}
	\caption{Thermal data filled in}
 	\label{therm-dat}
\end{figure}

\item Click on \textit{Close}
\item Click on \textit{Curves} inside \textit{Power \& Thermal Analysis}
\item Select the following dates:
 \begin{center}
	\begin{tabular}{c|c}
	\centering
    Begin date & 22/08/2019 00:00:00 \\
    End date & 22/08/2019 02:00:00 \\
    Time step & 60 s \\
	\end{tabular}
 \end{center}
\item In \textit{Parameters} choose \textit{Body Temperature} (it should be the last option in the list)
\end{itemize}

If everything is okey, the plot should look like like the following:

\begin{figure}[h]
	\centering
	\includegraphics[width=0.9\textwidth]{curves-therm}
	\caption{Curves: Energy example}
 	\label{curves-ther}
\end{figure}

The grey background indicates when the satellite is in eclipse.




%Thermical nodes suggested:\\ Specific heats:
%\begin{itemize}
%    \item central body: 50000 J/deg
%    \item solar panels: 2500 J/deg
%    \item upside and downside: 1500 J/deg
%    \item conductive coupling b/w links panels and central body: 4W/m$^2$/deg
%\end{itemize}


%\vspace{5mm}

%\begin{center}
%\begin{tabular}{c|c|c}
%\centering
%    \textbf{Material} & \textbf{$\alpha$} & \textbf{$\epsilon$} \\
%    White paint & 0.2 & 0.9 \\
%    Black paint & 0.95 & 0.9 \\
%    MLI & 0.25 & 0.05 \\
%    Solar Panels & 0.8 & 0.9
%\end{tabular}
%\end{center}

%\vspace{5mm}




%\begin{figure}[H]
%        \centering
%        \includegraphics[width=13cm]{imagesNEW/temp}
%        \caption{temperature in different surfaces - does not work}
%        \label{fig:40}
%\end{figure}

\end{document}